#include <vector>

#include "caffe/filler.hpp"
#include "caffe/layer.hpp"
#include "caffe/layers/adaptive_exp_layer.hpp"
#include "caffe/util/math_functions.hpp"

namespace caffe {

template <typename Dtype>
void AdaptiveExpLayer<Dtype>::Forward_gpu(const vector<Blob<Dtype>*>& bottom,
    const vector<Blob<Dtype>*>& top) {
  LOG(INFO) << "Under construction ....";
  std::exit(0);

}

template <typename Dtype>
void AdaptiveExpLayer<Dtype>::Backward_gpu(const vector<Blob<Dtype>*>& top,
    const vector<bool>& propagate_down, const vector<Blob<Dtype>*>& bottom) {
  LOG(INFO) << "Under construction ....";
  std::exit(0);
}
INSTANTIATE_LAYER_GPU_FUNCS(AdaptiveExpLayer);
}  // namespace caffe
